неділя, 26 жовтня 2008 р.

Встановлюємо OpenOffice.org 3.0 в Ubuntu 8.10

Як вже відомо, до складу Intrepid Ibex буде входити OpenOffice.org 2.4.1. Позиція Canonical у цьому питанні цілком зрозуміла, але все ж таки третю версію довго чекали, щоб так запросто від неї відмовитися. Насправді, встановити її не важко.

1. Обираємо Система -> Адміністрування -> Джерела програмного забезпечення. Вводимо пароль і переходимо на закладку Програмне забезпечення побічних виробників. І тут додаємо наступний репозиторій:

deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main




2. Закриваємо вікно і погоджуємося з проханням системи оновити інформацію про пакунки.

3. Коли система оновить списки пакунків, на панелі з'явиться піктограма про наявність оновлень. Все, що тепер залишилося - це запустити оновлення системи.



Готово. А ось і результат.

12 коментарів:

  1. рекомендація правильна, але для наших користувачів я б скоріше порадив скачати модифіковану версію, яка містить перевірку українського правопису - http://www.i-rs.ru/Produkty/OpenOffice.org/Skachat

    ВідповістиВидалити
  2. а наскільки це безпечно? чи не перекособочить таке оновлення систему? часто після оновлень щось перестає працювати.
    хочеться на Дебіан, де не так скажено часто відбуваються оновлення...

    ВідповістиВидалити
  3. Це було пророблено при встановленому 2.4? Чи 2.4 оновиться до 3.0?

    ВідповістиВидалити
  4. До Василя (Vazub) - там хіба українська локалізована версія? Мені дві буквочки ru не зовсім там подобаються. А перевірку правопису можна і вручну додати.

    ВідповістиВидалити
  5. Словники ставити просто - користуєшся вказівками Бума для встановлення словників. Якщо ж словники встановлені локально для користувача, то можна просто переписати старі словники
    cp ~/.openoffice.org2/user/wordbook ~/.openoffice.org/3/user/wordbook
    і перезапустити офіс. В мене все працює.

    Буму великий респект за 3-й офіс! Дякую!

    ВідповістиВидалити
  6. Або ось: http://extensions.services.openoffice.org/project/dict-uk_UA

    ВідповістиВидалити
  7. Я скористався репозитаріями Infralinux. Інструкція тут: http://infralinux.org/for-ubuntu-users.html
    Тільки там скрізь у посиланнях замість "hardy" треба писати "intrepid".

    ВідповістиВидалити
  8. IUnknown: це було пророблено при встановленому 2.4, при оновленні система сама замінила його на 3.0

    Oleh: у даному випадку, це цілком безпечно.

    VaZub: чесно кажучи я не бачу особливих проблем у використанні саме збірки від Ubuntu, набір патчів практично ідентичний, а, що стосується перевірки правопису, то вона встановлюється за декілька хвилин, наприклад через спеціальний майстер в OO Writer.

    ВідповістиВидалити
  9. Після установки texlive-lang-all в мене злетіли шрифти в офісі під компізом. Не знаю в чому справа, навіть після видалення підтримки всіх мов тех-у нічого не змінилося. Проявлялося в тому, що зникли букви у меню, замість них пусто або риски. Під стандартним metacity все появлялося знову. Лікував таким чином - в офісі забрав галочку з Сервіс->Параметри->Вигляд->Згладжування екранних шрифтів. В мене стара карта GeForce2 MX/MX 400. На лаптопі з Nvidia Geforce 6150 Go такого не помічалося. В когось щось подібне було?

    ВідповістиВидалити
  10. Na zhal', na danyj moment tretij openoffice ne vdast'sia vstanovyty (https://launchpad.net/~openoffice-pkgs/+archive):

    OpenOffice.org 3.0.0 - INTREPID/JAUNTY ONLY

    The packages were buggy and crashed when openoffice.org-gnome was installed, they will be reuploaded when the bug has been resolved.

    Hocha ja v sebe ne pomichav jakyhos' problem z jogo robotoju.

    ВідповістиВидалити
  11. Зрозуміло. Але, я все ж таки вирішив поки посидіти на 2.4. Помітив деякі проблеми у сумісності між 2.4 та 3.0 при роботі з ODT. Проблеми такого плану, як бувало і з MS Word: можуть з'їхати деякі нюанси оформлення. З цієї причини вирішив утриматись від оновлення, бо якраз потрібно багато працювати з текстом і потрібна стовідсоткова сумісність між ноутом і десктопом.

    Доречі, багато чув про проблеми з nVidia в 8.10, але оскільки у мене FX5200, то жодних проблем не бачив. Схоже це проблеми більш старих карточок і сумісності їх драйверів з новим X.Org. Доведеться чекати доки nVidia пофіксить проблему.

    ВідповістиВидалити